Name:           perl-Import-Into
Version:        1.002005
Release:        2
%define pkg_name Import-Into
Summary:        Import packages into other packages
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Import-Into
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{pkg_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Writing exporters is a pain. Some use Exporter, some use Sub::Exporter,
some use Moose::Exporter, some use Exporter::Declare ... and some things are pragmas.

Exporting on someone else's behalf is harder. The exporters don't provide
a consistent API for this, and pragmas need to have their import method
called directly, since they effect the current unit of compilation.

Import::Into provides global methods to make this painless.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Import/
%{_mandir}/man3/Import::Into.3*

%changelog
* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.002005-2
- Fix build dependence.

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.002005-1
- Package init
